Subject: Re: [PATCH net] kunit: Fix again checksum tests on big endian CPUs

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Feb 2024 17:51:58 -0800

On Tue, 27 Feb 2024 10:06:41 +0100 Paolo Abeni wrote:
> On Sat, 2024-02-24 at 07:44 +0000, Christophe Leroy wrote:
> > Hi,
> > 
> > Le 23/02/2024 à 11:41, Christophe Leroy a écrit :  
> > > Commit b38460bc463c ("kunit: Fix checksum tests on big endian CPUs")
> > > fixed endianness issues with kunit checksum tests, but then
> > > commit 6f4c45cbcb00 ("kunit: Add tests for csum_ipv6_magic and
> > > ip_fast_csum") introduced new issues on big endian CPUs. Those issues
> > > are once again reflected by the warnings reported by sparse.
> > > 
> > > So, fix them with the same approach, perform proper conversion in
> > > order to support both little and big endian CPUs. Once the conversions
> > > are properly done and the right types used, the sparse warnings are
> > > cleared as well.
> > > 
> > > Reported-by: Erhard Furtner <[email-masked]>
> > > Fixes: 6f4c45cbcb00 ("kunit: Add tests for csum_ipv6_magic and ip_fast_csum")
> > > Signed-off-by: Christophe Leroy <[email-masked]>  
> > 
> > netdev checkpatch complains about "1 blamed authors not CCed: 
> > [email-masked]; 1 maintainers not CCed: [email-masked] "
> > 
> > Palmer was copied but as Palmer Dabbelt <[email-masked]>. Hope it is 
> > not a show stopper.  
> 
> No, it's not.
> 
> Acked-by: Paolo Abeni <[email-masked]>
> 
> I *think* this, despite the subject prefix, should go via Andrew's tree
> to avoid conflicts.
> 
> @Andrew does the above fits you?

I don't see this in linux-next, so unless told otherwise I'll merge it
and ship to Linus tomorrow.